Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046276 - Some files will not be stripped
Summary: Some files will not be stripped
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Matej Stuchlik
QA Contact: Branislav Náter
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-24 10:22 UTC by Zenon Panoussis
Modified: 2016-02-01 02:15 UTC (History)
3 users (show)

Fixed In Version: python-2.7.5-13.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-15 16:08:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
Make library-files user writable (1.89 KB, patch)
2014-01-14 11:22 UTC, Matej Stuchlik
no flags Details | Diff

Description Zenon Panoussis 2013-12-24 10:22:08 UTC
extracting debug info from /home/mockbuild/rpmbuild/BUILDROOT/python-2.7.5-10.el7.i386/usr/lib/python2.7/lib-dynload/_localemodule.so
objcopy: unable to copy file '/home/mockbuild/rpmbuild/BUILDROOT/python-2.7.5-10.el7.i386/usr/lib/python2.7/lib-dynload/_localemodule.so'; reason: Permission denied
extracting debug info from /home/mockbuild/rpmbuild/BUILDROOT/python-2.7.5-10.el7.i386/usr/lib/python2.7/lib-dynload/_curses_d.so
extracting debug info from /home/mockbuild/rpmbuild/BUILDROOT/python-2.7.5-10.el7.i386/usr/lib/python2.7/lib-dynload/cStringIO.so
objcopy: unable to copy file '/home/mockbuild/rpmbuild/BUILDROOT/python-2.7.5-10.el7.i386/usr/lib/python2.7/lib-dynload/cStringIO.so'; reason: Permission denied
extracting debug info from /home/mockbuild/rpmbuild/BUILDROOT/python-2.7.5-10.el7.i386/usr/lib/python2.7/lib-dynload/audioop_d.so
objcopy: unable to copy file '/home/mockbuild/rpmbuild/BUILDROOT/python-2.7.5-10.el7.i386/usr/lib/python2.7/lib-dynload/audioop_d.so'; reason: Permission denied

and 

/usr/lib/rpm/sepdebugcrcfix: cannot open ".//usr/lib/libpython2.7_d.so.1.0": Permission denied

They all have permissions 0555. 

See also bug #97264.

Comment 2 Matej Stuchlik 2014-01-14 11:22:19 UTC
Created attachment 849892 [details]
Make library-files user writable


Note You need to log in before you can comment on or make changes to this bug.